Bug 1373591 - TypeError: decode() argument 1 must be string, not MagicMock
Summary: TypeError: decode() argument 1 must be string, not MagicMock
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: dnf   
(Show other bugs)
Version: epel7
Hardware: Unspecified
OS: Unspecified
urgent
unspecified
Target Milestone: ---
Assignee: rpm-software-management
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: BuildBlocker, Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-06 16:29 UTC by Igor Gnatenko
Modified: 2016-10-04 18:04 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-12 08:35:46 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Igor Gnatenko 2016-09-06 16:29:48 UTC
1:   File "/usr/lib64/python2.7/logging/__init__.py", line 860, in emit
1:     ufs = fs.decode(stream.encoding)
1: TypeError: decode() argument 1 must be string, not MagicMock
1: Logged from file clean.py, line 105

e9d7073c358f3bf37eb27922f9727e6092f8acbe

Full build log: https://copr-be.cloud.fedoraproject.org/results/rpmsoftwaremanagement/dnf-nightly/epel-7-x86_64/00449980-dnf/build.log.gz


Note You need to log in before you can comment on or make changes to this bug.